> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a trade signature

> Registers a signed EIP-712 payload from the trader that confirms trade intent.



## OpenAPI

````yaml openapi/stablefx.yaml post /v1/exchange/stablefx/signatures
openapi: 3.1.0
info:
  title: StableFX API
  description: >
    The StableFX API provides endpoints for trading stablecoins.


    ## Authentication

    All API requests require authentication using an API key.


    ## Base URL

    The base URL for all API endpoints is:
    `https://api.circle.com/v1/exchange/stablefx`
  version: 1.0.0
servers:
  - url: https://api.circle.com
    description: StableFX API server
security:
  - BearerAuth: []
tags:
  - name: Quotes
    description: Endpoints for creating and managing quotes
  - name: Trades
    description: Endpoints for creating and managing trades
  - name: Signatures
    description: Endpoints for retrieving presign typed data and registering signatures
  - name: Fees
    description: Endpoints for retrieving fees
  - name: Funding
    description: Endpoints for funding trades
  - name: Webhook Subscriptions
    description: Manage subscriptions to notifications
  - name: Settlement Advance
    description: Request, track, and repay settlement advances.
paths:
  /v1/exchange/stablefx/signatures:
    post:
      tags:
        - Signatures
      summary: Register a trade signature
      description: >-
        Registers a signed EIP-712 payload from the trader that confirms trade
        intent.
      operationId: registerTradeSignature
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterTradeSignatureRequest'
      responses:
        '200':
          description: Trade signature registered successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterTradeSignatureResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    RegisterTradeSignatureRequest:
      type: object
      description: Request body for submitting a maker trade signature
      required:
        - tradeId
        - address
        - details
        - signature
      properties:
        tradeId:
          $ref: '#/components/schemas/Id'
        address:
          type: string
          description: The wallet address signing the trade presign data
          example: '0x1234567890abcdef1234567890abcdef12345678'
        details:
          $ref: '#/components/schemas/MakerPermit2Message'
        signature:
          type: string
          description: The signature generated from signing the trade presign data
    RegisterTradeSignatureResponse:
      type: object
      description: Response from registering a trade signature
      required:
        - tradeId
        - createDate
        - updateDate
      properties:
        tradeId:
          $ref: '#/components/schemas/Id'
        createDate:
          $ref: '#/components/schemas/CreateDate'
        updateDate:
          $ref: '#/components/schemas/UpdateDate'
    Id:
      type: string
      format: uuid
      description: System-generated unique identifier of the resource.
      example: c4d1da72-111e-4d52-bdbf-2e74a2d803d5
    MakerPermit2Message:
      type: object
      description: >-
        The maker Permit2 message for signature registration. Contains the
        signed Permit2 witness transfer data including maker-specific witness
        details with consideration and fee.
      required:
        - permitted
        - spender
        - nonce
        - deadline
        - witness
      properties:
        permitted:
          $ref: '#/components/schemas/TokenPermissions'
        spender:
          type: string
          description: The address of the StableFX contract
          example: '0xa8f94168b4981840ba27d423f4ad6332bedee006'
        nonce:
          type: string
          description: >-
            A unique nonce for the signature to prevent replay attacks, as a
            string representation of a uint256
          example: '309585810'
        deadline:
          type: string
          format: epoch
          description: >-
            The validity period for the signature in epoch seconds, as a string
            representation of a uint256
          example: '1770302983'
        witness:
          type: object
          description: Witness data containing maker trade details
          required:
            - consideration
            - fee
          properties:
            consideration:
              $ref: '#/components/schemas/TradeSignatureConsideration'
            fee:
              type: string
              description: The fee for the trade, as a string representation of a uint256
              example: '80000'
    CreateDate:
      type: string
      format: date-time
      description: Date and time when the resource was created
      example: '2023-01-01T12:04:05Z'
    UpdateDate:
      type: string
      format: date-time
      description: Date and time when the resource was last updated
      example: '2023-01-01T12:04:05Z'
    TokenPermissions:
      type: object
      description: Token permissions for Permit2
      required:
        - token
        - amount
      properties:
        token:
          type: string
          description: The token contract address
          example: 0xTOKEN
        amount:
          type: string
          description: >-
            The amount of tokens permitted, as a string representation of a
            uint256.
          example: '1000'
    TradeSignatureConsideration:
      type: object
      description: EIP-712 typed data for a StableFX trade created from a quote.
      properties:
        quoteId:
          type: string
        base:
          type: string
        quote:
          type: string
        baseAmount:
          type: string
        quoteAmount:
          type: string
        maturity:
          type: string
          format: epoch
          description: >-
            The settlement maturity timestamp for the trade, as a string
            representation of a uint256
          example: '1716153600'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PREFIX:ID:SECRET
      description: >-
        Circle's API Keys are formatted in the following structure
        "PREFIX:ID:SECRET". All three parts are requred to make a successful
        request.

````